[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

maintainer's fault or conscious act?



i was just peeking around to see how to call ldconfig in postinst scripts
if a package install a shared library, when i opened libssl095a's postinst.

i see that in this script ldconfig is called *always* and not "if and
only if the first argument is `configure'". 

i suppose this is a maintainer's fault but there could be some strange
and obscure reasons i don't know that make this the right choice. i'm
not aware of all the back-stories that are behind every word in the manuals.

so i think that in situations in which manuals are not respected for some
valid issues, comments should help distinguish bugs from conscious acts.

anyway, from my blind point of view this is a bug and libssl09's postinst
is affected too. should i fill a bug report?

-----[ Domenico Andreoli, aka cavok
  --[ get my public pgp key at http://www.freeweb.org/free/cavok/
-[ unix is user friendly. it's just selective about who its friends are...

Attachment: pgprSifIE8LTs.pgp
Description: PGP signature


Reply to: